<template>
  <h1>Home {{counterStore.count}}</h1>
  <button type="button" @click="counterStore.count++">Increase</button>
  <UserForm/>
  <ul>
      <li v-for="user in userStore.users">
          {{user.firstName}} {{user.lastName}}
          <router-link :to="'/user/' + user.userId">Detail</router-link>
      </li>
  </ul>
</template>

<script setup>
  import { useCounterStore } from '@/store/CounterStore'
  import UserForm from '@/components/UserForm.vue'
  import { useUserStore } from '@/store/UserStore'

  const counterStore = useCounterStore()
  const userStore = useUserStore()
</script>
